/*
 * strhash.h
 *
 *  Created on: 21.10.2017
 *      Author: julian
 */

#ifndef STRHASH_H_
#define STRHASH_H_

#include <stddef.h>

typedef size_t strhash_t;

// "rehash" string with new char added to end
strhash_t strhash_add(strhash_t hash, char c);

/// hash a given string
strhash_t strhash_str(const char * str);



#endif /* STRHASH_H_ */
